probe::nfsd.read
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfsd.read — NFS server reading data from a file for client

## Synopsis

    nfsd.read

## Values

`file`

  argument file, indicates if the file has been opened.

`fh`

  file handle (the first part is the length of the file handle)

`size`

  read bytes

`vlen`

  read blocks

`vec`

  struct kvec, includes buf address in kernel address and length of each buffer

`count`

  read bytes

`offset`

  the offset of file

`client_ip`

  the ip address of client

Prev | Up | Next
probe::nfsd.proc.write | Home | probe::nfsd.rename